#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%bcond_without	python3 # CPython 3.x module
%bcond_without	docs	# documentation

%define 	module	pygit2
Summary:	Python 2.x bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona 2.x do biblioteki libgit2
Name:		python-%{module}
Version:	0.23.2
Release:	1
License:	GPL v2 with linking exception
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/pypi/pygit2
Source0:	https://pypi.python.org/packages/source/p/pygit2/%{module}-%{version}.tar.gz
# Source0-md5:	c4b00f2add53e17a98c0ebe558d4db80
Patch0:		%{name}-docbuild.patch
URL:		https://pypi.python.org/pypi/pygit2
BuildRequires:	libgit2-devel >= 0.23.0
BuildRequires:	python-cffi
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
%if %{with python3}
BuildRequires:	python3-cffi
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
BuildRequires:	python3-setuptools
%endif
%{?with_docs:BuildRequires:     sphinx-pdg}
Requires:	libgit2 >= 0.23.0
Requires:	python-cffi
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%package -n python3-%{module}
Summary:	Python 3.x bindings for libgit2 library
Summary(pl.UTF-8):	Wiązania Pythona 3.x do biblioteki libgit2
Group:		Libraries/Python
Requires:	libgit2 >= 0.23.0
Requires:	python3-cffi

%description -n python3-%{module}
pygit2 is a set of Python bindings to the libgit2 shared library.

%description -n python3-%{module} -l pl.UTF-8
pygit2 to zbiór wiązań Pythona do biblioteki współdzielonej libgit2.

%package apidoc
Summary:	pygit2 API documentation
Summary(pl.UTF-8):	Dokumentacja API pygit2
Group:		Documentation

%description apidoc
API documentation for %{module}.

%description apidoc -l pl.UTF-8
Dokumentacja API %{module}.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

# these tests use network
%{__rm} test/test_{credentials,repository}.py

%build
%{__python} setup.py build --build-base build-2
%if %{with python3}
%{__python3} setup.py build --build-base build-3
%endif

%{?with_tests:%{__python} setup.py build -b build-2 test}

%if %{with python3}
%{__python3} setup.py \
	build -b build-3

%if %{with tests}
%{__python3} setup.py build -b build-3 test
%endif
%endif

%if %{with docs}
cd docs
PACKAGE_BUILD=../build-2 \
%{__make} -j1 html
rm -rf _build/html/_sources
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} -- setup.py \
	build -b build-2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%py_postclean

%if %{with python3}
%{__python3} setup.py \
	build --build-base build-3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2
%endif

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.rst TODO.txt
%dir %{py_sitedir}/pygit2
%{py_sitedir}/pygit2/*.py[co]
%{py_sitedir}/pygit2/decl.h
%attr(755,root,root) %{py_sitedir}/pygit2/_libgit2.so
%attr(755,root,root) %{py_sitedir}/_pygit2.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/pygit2-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc COPYING README.rst TODO.txt
%dir %{py3_sitedir}/pygit2
%{py3_sitedir}/pygit2/decl.h
%{py3_sitedir}/pygit2/*.py
%{py3_sitedir}/pygit2/__pycache__
%attr(755,root,root) %{py3_sitedir}/pygit2/_libgit2.cpython-*.so
%attr(755,root,root) %{py3_sitedir}/_pygit2.cpython-*.so
%{py3_sitedir}/pygit2-%{version}-py*.egg-info
%endif

%if %{with docs}
%files apidoc
%defattr(644,root,root,755)
%doc docs/_build/html/*
%endif
%changelog
* Sun Oct 18 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pygit2.git;a=log;h=master

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> 067cd5a
- updated to 0.23.2
- removed obsolete 487 patch

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> c94be27
- python3.5 rebuild
- release 4 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6b9ad5f
- python 3.5 rebuild
- release 3 (by relup.sh)

* Thu Mar 05 2015 Jakub Bogusz <qboosh@pld-linux.org> e507b98
- requires cffi now

* Tue Mar 03 2015 Jakub Bogusz <qboosh@pld-linux.org> a66114b
- updated to 0.22.0 (with #487 fix from git)

* Fri Nov 07 2014 Jakub Bogusz <qboosh@pld-linux.org> 2492592
- updated to 0.21.4

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 82c88b4
- python 3.4
- release 2 (by relup.sh)

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> 6a54849
- updated to 0.21.3
- updated docbuild patch

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 439d372
- updated to 0.21.2

* Wed Sep 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 06eff6d
- updated to 0.21.2

* Wed Jul 30 2014 Jakub Bogusz <qboosh@pld-linux.org> 41cf266
- updated to 0.21.1

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> f193cb9
- updated to 0.21.0

* Thu Apr 03 2014 Jakub Bogusz <qboosh@pld-linux.org> be2c376
- updated to 0.20.3
- disable tests which require remote repository access

* Thu Feb 06 2014 Jakub Bogusz <qboosh@pld-linux.org> a7da3c5
- pl, versioned install time dependencies

* Wed Feb 05 2014 Łukasz Kieś <kiesiu@pld-linux.org> f3983b5
- updated to 0.20.2

* Fri Dec 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2d86782
- updated to 0.20.1

* Mon Nov 25 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2268dce
- updated to 0.20.0

* Sun Oct 13 2013 Kacper Kornet <draenog@pld-linux.org> 9591f1c
- rel. 2

* Sun Oct 13 2013 Kacper Kornet <draenog@pld-linux.org> 2d087e3
- fix doc building on arch != x86_64

* Sun Oct 13 2013 Kacper Kornet <draenog@pld-linux.org> d576090
- avoid recompilation during tests

